<template>
<div style="display:flex; flex-direction:row; height: 100vh" class="editor">
    <div v-if="level">
      <Status 
        v-for="status in level.chapter.chapter" 
        :status-data="status" 
        :key="status.name" 
        :style="{
          position: 'absolute', 
          top: status.view.position.y +'px', 
          left: status.view.position.x+'px'
        }"
      />
    </div>
    <Sidebar :toEdit="null" :schema="null"/>
</div>
</template>

<script>
import {useStore} from "vuex"
import {computed} from "vue"
import Status from  "@/components/Status.vue"
import Sidebar from '@/components/Sidebar.vue'

export default {
  name: 'Editor',
  props: {
    toEdit:Object,
    schema:Object
  },
  setup(){
    const store = useStore();

    const count = computed(() => store.state.count);
    const level = computed(() => store.state.level)

    return {
      count,
      level
    }
  },
  components: {
    Status,
    Sidebar
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}

.editor{
  max-height: 98vh;
  background-color: lightpink;
  overflow: scroll;
  position: relative;
}
</style>
